summaryrefslogtreecommitdiff
path: root/Microbenchmarks
diff options
context:
space:
mode:
authorMarcel Köppen <marcel.koeppen@uos.de>2024-05-13 14:05:09 +0200
committerMarcel Köppen <marcel.koeppen@uos.de>2024-05-13 14:05:09 +0200
commit29c4b91a567c320bf8918c63af0065e05a47d538 (patch)
tree0867ef3aa9721c47dac6d023ffea2c44d0f2aa7b /Microbenchmarks
parent4a38ffd6ab1b7ce9e97fc3d2d4dd48c3f7745c18 (diff)
Treat unroll like the other parameters
Diffstat (limited to 'Microbenchmarks')
-rwxr-xr-xMicrobenchmarks/STREAM/run-rank.sh13
1 files changed, 6 insertions, 7 deletions
diff --git a/Microbenchmarks/STREAM/run-rank.sh b/Microbenchmarks/STREAM/run-rank.sh
index 3f0ecf0..0845863 100755
--- a/Microbenchmarks/STREAM/run-rank.sh
+++ b/Microbenchmarks/STREAM/run-rank.sh
@@ -22,13 +22,12 @@ for dt in uint64_t ; do #uint8_t uint16_t uint32_t float double; do
# From a performance perspective, 8 to 10 is usually best for sequential operations.
for bl in 3 8 10; do
for transfer in SERIAL PUSH; do
- echo "Running at $(date)"
- if make -B OP=${op} NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=${bl} T=${dt} TRANSFER=${transfer} UNROLL=1 WITH_ALLOC_OVERHEAD=0 WITH_LOAD_OVERHEAD=0 WITH_FREE_OVERHEAD=0; then
- timeout --foreground -k 1m 30m bin/host_code -w 0 -e 100 -i $i -x 0 || true
- fi
- if make -B OP=${op} NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=${bl} T=${dt} TRANSFER=${transfer} UNROLL=0 WITH_ALLOC_OVERHEAD=0 WITH_LOAD_OVERHEAD=0 WITH_FREE_OVERHEAD=0; then
- timeout --foreground -k 1m 30m bin/host_code -w 0 -e 100 -i $i -x 0 || true
- fi
+ for unroll in 1 0; do
+ echo "Running at $(date)"
+ if make -B OP=${op} NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=${bl} T=${dt} TRANSFER=${transfer} UNROLL=${unroll} WITH_ALLOC_OVERHEAD=0 WITH_LOAD_OVERHEAD=0 WITH_FREE_OVERHEAD=0; then
+ timeout --foreground -k 1m 30m bin/host_code -w 0 -e 100 -i $i -x 0 || true
+ fi
+ done
done
done
done